# Uses of Class
org.eclipse.swt.layout.GridData

Packages that use GridData
Package
Description
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.layout
Provides support for layout generation.

## Uses of GridData in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return GridData
Modifier and Type
Method
Description
`protected GridData`
DialogPage.`setButtonLayoutData(Button button)`
Sets the `GridData` on the specified button to be one that is spaced for the current dialog page units.

## Uses of GridData in org.eclipse.jface.layout

Methods in org.eclipse.jface.layout that return GridData
Modifier and Type
Method
Description
`static GridData`
GridDataFactory.`copyData(GridData data)`
Returns a copy of the given GridData
`GridData`
GridDataFactory.`create()`
Creates a new GridData instance.
Methods in org.eclipse.jface.layout with parameters of type GridData
Modifier and Type
Method
Description
`static GridData`
GridDataFactory.`copyData(GridData data)`
Returns a copy of the given GridData
`static GridDataFactory`
GridDataFactory.`createFrom(GridData data)`
Creates a new GridDataFactory that creates copies of the given GridData by default.